com.sudogeeks.talking_reminder.ReadReminderTextService Class Reference

Class for Text to speech service This class is extending the tts module service to speak up the reminder text. More...

Inheritance diagram for com.sudogeeks.talking_reminder.ReadReminderTextService:

## Public Member Functions

void | onCreate ()
int | onStartCommand (Intent intent, int flags, int startId)
void | onInit (int status)
void | onUtteranceCompleted (String uttId)
void | onDestroy ()
IBinder | onBind (Intent arg0)

## Detailed Description

Class for Text to speech service This class is extending the tts module service to speak up the reminder text.

Definition at line 13 of file ReadReminderTextService.java.

## Member Function Documentation

## onCreate()

void com.sudogeeks.talking_reminder.ReadReminderTextService.onCreate | ( |  | ) |

Overrides onCreate , this is the good place to set spokentext.

Definition at line 22 of file ReadReminderTextService.java.

## onInit()

void com.sudogeeks.talking_reminder.ReadReminderTextService.onInit | ( | int | status | ) |

This method overrides onInit and this is calling TTS object to speak up the spoken text.

Parameters

  status |

Definition at line 48 of file ReadReminderTextService.java.

## onStartCommand()

int com.sudogeeks.talking_reminder.ReadReminderTextService.onStartCommand | ( | Intent | intent,
|  | int | flags,
|  | int | startId
| ) |  |

Overrides OnStartCommand of service class , this is used to get reminder text which will be spoken.

Parameters

  intent |
  flags |
  startId |

Returns

Definition at line 37 of file ReadReminderTextService.java.

The documentation for this class was generated from the following file:

- C:/Users/Raushan Raj/StudioProjects/TalkingReminder2/TalkingReminder/app/src/main/java/com/sudogeeks/talking_reminder/ReadReminderTextService.java